# 
# Synthesis run script generated by Vivado
# 

set TIME_start [clock seconds] 
proc create_report { reportName command } {
  set status "."
  append status $reportName ".fail"
  if { [file exists $status] } {
    eval file delete [glob $status]
  }
  send_msg_id runtcl-4 info "Executing : $command"
  set retval [eval catch { $command } msg]
  if { $retval != 0 } {
    set fp [open $status w]
    close $fp
    send_msg_id runtcl-5 warning "$msg"
  }
}
create_project -in_memory -part xc7z020clg484-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.cache/wt [current_project]
set_property parent.project_path D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part em.avnet.com:zed:part0:1.3 [current_project]
set_property ip_repo_paths {
  home/mwahab/Documents/these/17_06_2019/test_pft_decoder/test_pft_decoder.ipdefs/decodeur_traces_0
  home/mwahab/Documents/these/pft_decoder
  home/mwahab/Documents/these/17_06_2019/pft_decoder
  home/mwahab/Documents/these/17_06_2019/test_pft_decoder/test_pft_decoder.ipdefs/mem_ctl_0
} [current_project]
set_property ip_output_repo d:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.cache/ip [current_project]
set_property ip_cache_permissions {read write} [current_project]
read_vhdl -library xil_defaultlib {
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/v3/project_1/project_1.srcs/sources_1/new/address_compute.vhd
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/datapath.vhd
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/decode_bap.vhd
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/decode_i_sync.vhd
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/v3/project_1/project_1.srcs/sources_1/new/decode_waypoint.vhd
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/pft_decoder_v2.vhd
  D:/these/lab_pc/decodeur_traces_v1_0_project/decodeur_traces_v1_0_project.srcs/sources_1/imports/pft_decoder/decodeur_traces.vhd
}
# Mark all dcp files as not used in implementation to prevent them from being
# stitched into the results of this synthesis run. Any black boxes in the
# design are intentionally left as such for best results. Dcp files will be
# stitched into the design at a later time, either when this synthesis run is
# opened, or when it is stitched into a dependent implementation run.
foreach dcp [get_files -quiet -all -filter file_type=="Design\ Checkpoint"] {
  set_property used_in_implementation false $dcp
}
set_param ips.enableIPCacheLiteLoad 0
close [open __synthesis_is_running__ w]

synth_design -top decodeur_traces -part xc7z020clg484-1


# disable binary constraint mode for synth run checkpoints
set_param constraints.enableBinaryConstraints false
write_checkpoint -force -noxdef decodeur_traces.dcp
create_report "synth_1_synth_report_utilization_0" "report_utilization -file decodeur_traces_utilization_synth.rpt -pb decodeur_traces_utilization_synth.pb"
file delete __synthesis_is_running__
close [open __synthesis_is_complete__ w]
